package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Sights_museums extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.sights_museums); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });

    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button archeological = (Button) findViewById(R.id.archeological);
    archeological.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_archeologicalActivity();
         }
     });
    
    final Button historical = (Button) findViewById(R.id.historical);
    historical.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_historicalActivity();
         }
     });
    
    final Button june_mus = (Button) findViewById(R.id.june1956);
    june_mus.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_june_musActivity();
         }
     });
    
    final Button weapon = (Button) findViewById(R.id.weapon);
    weapon.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_weaponActivity();
         }
     });
    
    final Button armament = (Button) findViewById(R.id.armament);
    armament.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_armamentActivity();
         }
     });
    
    final Button instrument = (Button) findViewById(R.id.instrument);
    instrument.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_instrumentActivity();
         }
     });
   
    final Button etnographical = (Button) findViewById(R.id.etnographical);
    etnographical.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_etnographicalActivity();
         }
     });
    
    final Button national= (Button) findViewById(R.id.national);
    national.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_nationalActivity();
         }
     });
    
    final Button martyrs= (Button) findViewById(R.id.martyrs);
    martyrs.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_martyrsActivity();
         }
     });
    
    final Button military= (Button) findViewById(R.id.military);
    military.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_militaryActivity();
         }
     });
    
    final Button uprising= (Button) findViewById(R.id.uprising);
    uprising.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_uprisingActivity();
         }
     });
    
    
	}
    
     
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
    
    private void openS_archeologicalActivity() {
    	startActivity(new Intent(this,S_archeological.class));
    }
    
    private void openS_historicalActivity() {
    	startActivity(new Intent(this,S_historical.class));
    }
    
    private void openS_june_musActivity() {
    	startActivity(new Intent(this,S_june_mus.class));
    }
    
    private void openS_weaponActivity() {
    	startActivity(new Intent(this,S_weapon.class));
    }
    
    private void openS_armamentActivity() {
    	startActivity(new Intent(this,S_armament.class));
    }
    
    private void openS_instrumentActivity() {
    	startActivity(new Intent(this,S_instrument.class));
    }
    
    private void openS_etnographicalActivity() {
    	startActivity(new Intent(this,S_etnographical.class));
    }
    
    private void openS_nationalActivity() {
    	startActivity(new Intent(this,S_national.class));
    }
    
    private void openS_martyrsActivity() {
    	startActivity(new Intent(this,S_martyrs.class));
    }
    
    private void openS_militaryActivity() {
    	startActivity(new Intent(this,S_military.class));
    }
    
    private void openS_uprisingActivity() {
    	startActivity(new Intent(this,S_uprising.class));
    }
}